import App from './App'

// #ifndef VUE3
import Vue from 'vue'

import './uni.promisify.adaptor'

Vue.config.productionTip = false

App.mpType = 'app'

import store from '@/store/store'

import './config'
import './utils/index.js'


// 导入并挂载全局的分享方法
import share from '@/mixins/share.js'
Vue.mixin(share)

//组件注册
import configPopup from '@/components/config/configPopup.vue'
import navbar from '@/components/base/navbar.vue'
import tabbar from '@/components/base/tabbar.vue'
import callPhone from '@/components/user/callPhone.vue'
import addressSpot from '@/components/base/addressSpot.vue'

Vue.component('configPopup',configPopup)
Vue.component('navbar', navbar)
Vue.component('tabbar', tabbar)
Vue.component('callPhone', callPhone)
Vue.component('addressSpot', addressSpot)


const app = new Vue({
	...App,
	store,
})
app.$mount()



// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif